// u_c_person
// 2013-02-09

// -- (C) John COLIBRI 2013
// -- documentation: http://www.jcolibri.com

(*$r+*)

unit u_c_person;
  interface

    type c_person=
             class
               m_first_name: String;
               m_age: integer;

               Constructor create_person(
                   p_first_name: String; p_age: Integer);
               function f_c_self: c_person;

               function ToString: String; Override;
             end; // c_person

  implementation
    uses SysUtils, u_display_simple;

    // -- c_person

    Constructor c_person.create_person
        (p_first_name: String; p_age: Integer);
      begin
        Inherited Create;

        m_first_name:= p_first_name;
        m_age:= p_age;
      end; // create_person

    function c_person.f_c_self: c_person;
      begin
        Result:= Self;
      end;

    function c_person.ToString: String;
      begin
        Result:= Format('%-15s %2d', [m_first_name, m_age]);
      end;

    begin // u_c_person
    end. // u_c_person


